commit:     e75b3770b7fc858a691e1fe7a0cc39b33aabc3dd
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  9 00:36:55 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Oct  9 00:38:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e75b3770

sys-fs/squashfs-tools-ng: Handle libsquashfs

* Add IUSE=tools
* Update LICENSE
* Disable static libs and delete *.la files

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 sys-fs/squashfs-tools-ng/metadata.xml                  |  1 +
 sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild | 11 +++++++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/sys-fs/squashfs-tools-ng/metadata.xml 
b/sys-fs/squashfs-tools-ng/metadata.xml
index a98fd7a51d6..9d251701516 100644
--- a/sys-fs/squashfs-tools-ng/metadata.xml
+++ b/sys-fs/squashfs-tools-ng/metadata.xml
@@ -6,6 +6,7 @@
                <name>Matt Turner</name>
        </maintainer>
        <use>
+               <flag name="tools">Build the gensquashfs, rdsquashfs, sqfs2tar, 
sqfsdiff, and tar2sqfs tools</flag>
                <flag name="xz">Enable support for XZ ("LZMA2") compression 
using <pkg>app-arch/xz-utils</pkg></flag>
        </use>
        <upstream>

diff --git a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild 
b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
index b77878296fd..22a2dbc93b6 100644
--- a/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
+++ b/sys-fs/squashfs-tools-ng/squashfs-tools-ng-9999.ebuild
@@ -13,9 +13,9 @@ else
        SRC_URI="https://infraroot.at/pub/squashfs/${P}.tar.xz";
 fi
 
-LICENSE="GPL-3+"
+LICENSE="LGPL-3+ tools? ( GPL-3+ )"
 SLOT="0"
-IUSE="lz4 lzo selinux +xz zstd"
+IUSE="lz4 lzo selinux +tools +xz zstd"
 
 DEPEND="
        sys-libs/zlib:=
@@ -34,11 +34,18 @@ src_prepare() {
 
 src_configure() {
        local myconf=(
+               --disable-static
                $(use_with lz4)
                $(use_with lzo)
                $(use_with selinux)
+               $(use_with tools)
                $(use_with xz)
                $(use_with zstd)
        )
        econf "${myconf[@]}"
 }
+
+src_install() {
+       default
+       find "${D}" -name "*.la" -delete || die
+}

Reply via email to